Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005049opensim[REGION] Script Functionspublic2010-09-18 18:132011-05-06 18:52
ReporterFernando Oliveira 
Assigned ToFly-Man- 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0005049: Sugest to implement 5th parameter on llGetParcelDetails function
DescriptionI did two changes on my copy of source code, and I'd like to know if you could analyze it to integrate it to the main source;

It was to get the 5th parameter of llGetParcelDetails for the PARCEL_DETAILS_UUID flag;

What I didn't realized yet, is how to make this constant to be recognized on the Script Code highlite on Viewer;

I compiled it on my server and it is working in Festa 24H III
Additional InformationI did the following changes on the source code

OpenSim.Region.ScriptEngine.Shared.Api.LSL_Api : Line 9526

                    case "5":

                        ret = ret + new LSL_List(land.GlobalID.ToString());

                        break;

OpenSim.Region.ScriptEngine.Shared.ScriptBaseClasss : Line 505

        public const int PARCEL_DETAILS_UUID = 5;

 
TagsNo tags attached.
Git Revision or version numbere7e9e67
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentMono / Linux64
Mono Version2.6.3
Viewer
Attached Files

- Relationships

-  Notes
(0017946)
Fly-Man- (developer)
2011-02-03 07:09

This has already been changed in Master, marking as Fixed

- Issue History
Date Modified Username Field Change
2010-09-18 18:13 Fernando Oliveira New Issue
2010-09-18 18:13 Fernando Oliveira Git Revision => e7e9e67
2010-09-18 18:13 Fernando Oliveira SVN Revision => 0
2010-09-18 18:13 Fernando Oliveira Run Mode => Grid (Multiple Regions per Sim)
2010-09-18 18:13 Fernando Oliveira Physics Engine => BasicPhysics
2010-09-18 18:13 Fernando Oliveira Environment => Mono / Linux64
2010-09-18 18:13 Fernando Oliveira Mono Version => 2.6.3
2011-02-03 07:09 Fly-Man- Status new => resolved
2011-02-03 07:09 Fly-Man- Fixed in Version => master (dev code)
2011-02-03 07:09 Fly-Man- Resolution open => fixed
2011-02-03 07:09 Fly-Man- Assigned To => Fly-Man-
2011-02-03 07:09 Fly-Man- Note Added: 0017946
2011-05-06 18:52 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker